All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
op::VideoSaver Class Reference

`#include <videoSaver.hpp>`

## Public Member Functions

| VideoSaver (const std::string &videoSaverPath, const int cvFourcc, const double fps, const Point< int > &cvSize)
virtual | ~VideoSaver ()
bool | isOpened ()
void | write (const cv::Mat &cvMat)
void | write (const std::vector< cv::Mat > &cvMats)

## Constructor & Destructor Documentation

op::VideoSaver::VideoSaver | ( | const std::string & | videoSaverPath,
|  | const int | cvFourcc,
|  | const double | fps,
|  | const Point< int > & | cvSize
| ) |  |

virtual op::VideoSaver::~VideoSaver | ( |  | ) |

virtual

## Member Function Documentation

bool op::VideoSaver::isOpened | ( |  | ) |

void op::VideoSaver::write | ( | const cv::Mat & | cvMat | ) |

void op::VideoSaver::write | ( | const std::vector< cv::Mat > & | cvMats | ) |

The documentation for this class was generated from the following file:

- /home/travis/build/CMU-Perceptual-Computing-Lab/openpose/include/openpose/filestream/videoSaver.hpp